++ed by:

1 non-PAUSE user.

Author image perlancar

NAME

App::lcpan::Manual::Cookbook - App::lcpan cookbook

VERSION

version 1.058.000

DESCRIPTION

Items relevant to CPAN authors are tagged with [author].

QUERYING AUTHORS

Listing recent authors

TODO.

QUERYING DEPENDENCIES

Checking if your distribution depends on a non-core Perl module [author]

 % lcpan deps YOUR-DIST --exclude-core

Checking if your distribution specifies a circular dependency

TODO.

Finding out if there is any broken prerequisites specified by one of your distributions [author]

To find out which prerequisites that your distributions specify but are currently not indexed (i.e. probably cannot be installed by users):

 % lcpan author-deps YOURCPANID --broken --dont-uniquify

Listing distributions of other CPAN authors that depend on one of your modules [author]

    % lcpan author-rdeps YOURCPANID --user-author-isnt YOURCPANID

Listing distributions of other CPAN authors that recently depend on one of your modules [author]

    # Show dependencies that were added in the last 2 weeks
    % lcpan author-rdeps YOURCPANID --user-author-isnt YOURCPANID --added-since '2 weeks ago'

    # Show dependencies that were updated in the last 2 weeks
    % lcpan author-rdeps YOURCPANID --user-author-isnt YOURCPANID --updated-since '2 weeks ago'

    # Show dependencies that were not present before your last 'lcpan update'
    % lcpan author-rdeps YOURCPANID --user-author-isnt YOURCPANID --added-in-last-update

Showing what other distributions you will have to download and install when you install a module

TODO.

QUERYING DISTRIBUTIONS

Listing recent distributions

TODO

QUERYING MODULES

Comparing version of installed modules vs local CPAN versions

 % lcpan ver-cmp-installed
 % lcpan ver-cmp-installed --older-than-db                ;# outdated modules (modules that need to be updated)
 % lcpan ver-cmp-installed --older-than-db --exclude-core ;# noncore outdated modules (noncore modules that need to be updated)

The ver-cmp-installed subcommand is distributed in App::lcpan::CmdBundle::ver.

This can also be done using tools like cpan-outdated (from App::cpanoutdated) or cpan-outdated-coro (from App::cpanoutdated::coro).

To update outdated modules:

 % lcpan-ver-cmp-installed --older-than-db | td select module | lcpanm -n

td is provided by App::td.

Listing recent modules

    # Show modules that were added in the last 2 weeks
    % lcpan mods -l --added-since '2 weeks ago'

    # Show modules that were updated in the last 2 weeks
    % lcpan mods -l --updated-since '2 weeks ago'

    # Show modules that were not present before the last 'lcpan update'
    % lcpan mods -l --added-in-last-index-update

There's also lcpan whatsnew.

You like Sub::Exporter and wonder what other modules might be similar or related to it:

    % lcpan related-mods Sub::Exporter

AUTHOR

perlancar <perlancar@cpan.org>

COPYRIGHT AND LICENSE

This software is copyright (c) 2020 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.